/*
 * manual.h: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#ifndef MANUAL_H_
#define MANUAL_H_
 
#include <vdr/plugin.h>

static const char *VERSION        = "0.0.3";
static const char *DESCRIPTION    = "Displays Manuals on the OSD";
static const char *MAINMENUENTRY  = "Manual";

class cPluginManual : public cPlugin 
{
private:
  // Add any member variables or functions you may need here.
public:
  cPluginManual(void);
  virtual ~cPluginManual();
  virtual const char *Version(void) { return VERSION; }
  virtual const char *Description(void) { return DESCRIPTION; }
  virtual const char *CommandLineHelp(void);
  virtual bool ProcessArgs(int argc, char *argv[]);
  virtual bool Initialize(void);
  virtual bool Start(void);
  virtual void Housekeeping(void);
  virtual const char *MainMenuEntry(void) { return tr(MAINMENUENTRY); }
  virtual cOsdMenu *MainMenuAction(void);
//  cOsdMenu *HelpByXPath(const char * FileName, const char * XPath = NULL);
  cOsdMenu *HelpByRef(const char * FileName, const char * Ref);
  virtual cMenuSetupPage *SetupMenu(void);
  virtual bool SetupParse(const char *Name, const char *Value);
};


#endif